%{?nodejs_find_provides_and_requires}

%global packagename invert-kv
# tests disabled due to missing npm(ava) test suite
%global enable_tests 0

Name:		nodejs-invert-kv
Version:	1.0.0
Release:	3%{?dist}
Summary:	Invert the key/value of an object. Example: {foo: 'bar'} → {bar: 'foo'}

License:	MIT
URL:		https://github.com/sindresorhus/invert-kv
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/invert-kv/v%{version}/test.js
# The license file isn't in the npm tarball, either :-(
Source2:	https://raw.githubusercontent.com/sindresorhus/invert-kv/v%{version}/license


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
Invert the key/value of an object. Example: {foo: 'bar'} → {bar: 'foo'}


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .
# copy the license
cp -p %{SOURCE2} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Oct 23 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
